{Uses existing 1 line from interface card to capture byte stream @ 5bps address
 or faster for comms.
Incoming pin is #1 using the MAX 3232 chip to convert to 3vdc.
 Pins 30,31 are to the PC terminal program.
Need to write code to format data stream.

Need to use flags to tell if at the beginning of the comms. (55h) or later.

}
CON
   
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
 
VAR
      BYTE            Data


OBJ

  ComputerConnection : "Debug_PC2"         'data connection to the PC
  HammerConnection :   "FullDuplexSerialPlus"  'data connection to the Hammer

PUB Main

  HammerConnection.start(1, 2, 0, 5)  ' pin1 to recv - only to monitor traffic, pin2 not used. Need to change buad rate for diff. ECU.

  ComputerConnection.start(57600)
  waitcnt(clkfreq*2 + cnt)
  ComputerConnection.putc(ComputerConnection#FF)  'Form Feed
  
  Repeat
    CommunicateFromHammer
    UpdateVariables
    
PUB CommunicateFromHammer
  ' monitor data from Hammer
  
  Data := HammerConnection.GetHex
  
PUB UpdateVariables


     ComputerConnection.Str(String(ComputerConnection#TAB))
     ComputerConnection.hex(Data,2)
     ComputerConnection.Str(String(ComputerConnection#CR))
       

{ Slave has no tab, master is tabbed out.
1) Number of bytes
2) Counter
3) Function code
4) recv data
5) END (03H)

}




    